package com.qmth.cqb.question.service.impl;

import java.util.Date;
import java.util.List;

import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.Assert;

import cn.com.qmth.examcloud.common.uac.entity.AccessUser;

import com.qmth.cqb.question.dao.QuestionAudioRepo;
import com.qmth.cqb.question.model.QuestionAudio;
import com.qmth.cqb.question.service.QuestionAudioService;

/**
 * @author  	chenken
 * @date    	2017年8月1日 上午11:27:33
 * @company 	QMTH
 * @description QuestionRadioServiceImpl.java
 */
@Service("questionAudioService")
public class QuestionAudioServiceImpl implements QuestionAudioService{

	@Autowired
	private QuestionAudioRepo questionAudioRepo;
	
	@Override
	public void saveQuestionAudio(QuestionAudio questionAudio,AccessUser accessUser) {
		questionAudio.setCreateTime(new Date());
		//questionAudio.setCreateUser(accessUser.getName());
		questionAudioRepo.save(questionAudio);
	}

	@Override
	public List<QuestionAudio> findQuestionAudiosByQuestionId(String questionId) {
		Assert.hasLength(questionId, "questionId不能为空");
		return questionAudioRepo.findByQuestionId(questionId);
	}

	@Override
	public QuestionAudio findByQuestionIdAndFileName(String questionId,String fileName) {
		if(StringUtils.isBlank(questionId)||StringUtils.isBlank(fileName)){
			return null;
		}
		return questionAudioRepo.findByQuestionIdAndFileName(questionId,fileName);
	}

	@Override
	public QuestionAudio findByPaperIdAndFileName(String paperId,String fileName) {
		if(StringUtils.isBlank(paperId)||StringUtils.isBlank(fileName)){
			return null;
		}
		return questionAudioRepo.findByPaperIdAndFileName(paperId, fileName);
	}

}

